Child pages
  • Sakai SCORM player installation guide

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

Edia SCORM player installation guide

Table of Contents
indent20px
styledisc

Installation of the tool consists of the following steps:

Step 1: Install sakai-wicket project

  1. Check out the source from the sakai-wicket project

    Code Block
    
    svn co https://source.sakaiproject.org/contrib/edia/sakai-wicket-for-scorm/trunk/ sakai-wicket
    
  2. Update the Sakai version in the root pom file, and set it to the right Sakai version, if this is not already the case. The example below sets the version to 2.7.1:

    Code Block
    
    <?xml version="1.0" encoding="UTF-8"?>
    <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    
      <modelVersion>4.0.0</modelVersion>
      <parent>
        <artifactId>base</artifactId>
        <groupId>org.sakaiproject</groupId>
        <!-- The <version> property binds this library to a specific Sakai version
          ranging from from 2.7 to 2.8. In order to build this library for any other
          version than the Sakai version defined below, 2 steps are required.
    
          1) Edit the <version> tag below to hold the version you intent to build for.
          2) Add the appropriate profile to your build command using the -P<profile>
          tag. So If you intend to build for a 2.7.1 sakai version, use -Psakai2.7.
          The available profiles are:
            -Psakai2.7 : all Sakai 2.7 versions
            -Psakai2.8 : all Sakai 2.8 versions
    
           This library is known to work with the following Sakai versions:
            2.7.1
            2.8.0
         -->
        <version>2.7.1</version>
      </parent>
    ....
    </project>
    
  3. Run a mvn install, add the right profile for the sakai version. For Sakai 2.8 the profile is activated by default, to the profile can be omitted:

    Code Block
    
    mvn clean install
    

    For Sakai 2.7, the profile needs to be set:

    Code Block
    
    mvn clean install -Psakai2.7
    

Step 2: Install and deploy scorm project

  1. Check out the source from the scorm project

    Code Block
    
    svn co https://source.sakaiproject.org/contrib/scorm/SCORM.2004.3ED.RTE/trunk/ sakai-scorm
    
    co sakai-scorm
    
  2. Alternatively update the sakai version to your own version, if you do not intend to build 2.7-SNAPSHOT. Replace <OTHER_VERSION> with your version.

    Code Block
    
    <?xml version="1.0"?>
    <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
      <modelVersion>4.0.0</modelVersion>
      <parent>
        <artifactId>master</artifactId>
        <groupId>org.sakaiproject</groupId>
        <relativePath>../master/pom.xml</relativePath>
        <!-- The <version> property binds this library to a specific Sakai version
          ranging from from 2.7 to 2.8. In order to build this library for any other
          version than the Sakai version defined below, 2 steps are required.
    
          1) Edit the <version> tag below to hold the version you intent to build for.
          2) Add the appropriate profile to your build command using the -P<profile>
          tag. So If you intend to build for a 2.7.1 sakai version, use -Psakai2.7.
          The available profiles are:
            -Psakai2.7 : all Sakai 2.7 versions
            -Psakai2.8 : all Sakai 2.8 versions
    
           This project is known to work with the following Sakai versions:
            2.7.1
            2.8.0
         -->
        <version>2.8.0</version>
      </parent>
    </project>
    
  3. Build the tool, add the right profile for the sakai version. For Sakai 2.8 the profile is activated by default, to the profile can be omitted:

    Code Block
    
    mvn clean install sakai:deploy -Dmaven.tomcat.home=<PATH_TO_SAKAI>
    

    For Sakai 2.7, the profile needs to be set:

    Code Block
    
    mvn clean install sakai:deploy -Dmaven.tomcat.home=<PATH_TO_SAKAI> -Psakai2.7
    

More info

Oracle Support

Currently, if you rely on auto.ddl to create the SCORM tables during Tomcat startup, the hibernate mapping is incorrectly interpreted and creates some columns with the types LONG and LONG RAW. This is against the recommendation of Oracle (these datatypes have been deprecated), and the tool explodes if you try to use it. The issue has been raised and is being tracked @

Jira
serverSakai
keySCO-84

In the mean time, you can use the following workaround to make the tool work with an Oracle database.

  1. If you already have the tables in your Oracle database:
    1. Either drop the SCORM* tables and sequence, and run the .sql script attached here and @
      Jira
      serverSakai
      keySCO-84
    2. OR, simply modify the three affected tables and manually change the column type:
      1. SCORM_ACTIVITY_TREE_HOLDER_T.ACT_TREE - change this column to type BLOB
      2. SCORM_CP_MANIFEST_T.ACT_TREE_PROTOTYPE - change this column to type BLOB
      3. SCORM_ELEMENT_T.VALUE - change this column to type CLOB

        Info

        If you're modifying the tables manually, you will need to restart your Tomcat server to pick up the changes (if you edited the tables while Tomcat/Sakai was running).

  2. If you haven't deployed the SCORM player before (you don't have the tables already in your database), simply run the .sql script attached here and @
    Jira
    serverSakai
    keySCO-84